using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s=Console.ReadLine().Split();
            int n = int.Parse(s[0]); 
            int l = int.Parse(s[1]);

            s=Console.ReadLine().Split();
            int[] a = new int[n];

            for (int i = 0; i < n; i++) a[i] = int.Parse(s[i]);

            int index = -1;

            for(int i=0;i<n;i++)
            {
                if (a[i]<=l)
                {
                    index = i + 1;
                    break;
                }
            }

            Console.WriteLine(index);

            Console.ReadKey();
        }
    }
}